## IdeDevice IdeDevice |

## Functions

const gchar * | ide_device_get_display_name ()
void | ide_device_set_display_name ()
const gchar * | ide_device_get_id ()
void | ide_device_set_id ()
const gchar * | ide_device_get_system_type ()
void | ide_device_prepare_configuration ()

## Types and Values

#define | IDE_TYPE_DEVICE
struct | IdeDeviceClass
| IdeDevice

## Description

## Functions

### ide_device_get_display_name ()

    const gchar *
    ide_device_get_display_name (IdeDevice *self);

This function returns the name of the device. If no name has been set, then `NULL` is returned.

In some cases, this value wont be available until additional information has been probed from the device.

#### Returns

A string containing the display name for the device.

[nullable]

### ide_device_set_display_name ()

    void
    ide_device_set_display_name (IdeDevice *self,
                                 const gchar *display_name);

### ide_device_get_id ()

    const gchar *
    ide_device_get_id (IdeDevice *self);

Retrieves the "id" property of the IdeDevice. This is generally not a user friendly name as it is often a guid.

#### Returns

A unique identifier for the device.

### ide_device_set_id ()

    void
    ide_device_set_id (IdeDevice *self,
                       const gchar *id);

### ide_device_get_system_type ()

    const gchar *
    ide_device_get_system_type (IdeDevice *self);

This is the description of the system we are building for. Commonly, this is referred to as a "system_type". A combination of the machine architecture such as x86_64, the operating system, and the libc.

"x86_64-linux-gnu" might be one such system.

#### Returns

A string containing the system type.

### ide_device_prepare_configuration ()

    void
    ide_device_prepare_configuration (IdeDevice *self,
                                      IdeConfiguration *configuration);

## Types and Values

### IDE_TYPE_DEVICE

    #define IDE_TYPE_DEVICE  (ide_device_get_type())

### struct IdeDeviceClass

    struct IdeDeviceClass {
      IdeObjectClass parent;

      const gchar *(*get_system_type)       (IdeDevice        *self);
      void         (*prepare_configuration) (IdeDevice        *self,
                                             IdeConfiguration *configuration);
    };

### IdeDevice

    typedef struct _IdeDevice IdeDevice;